#!/bin/bash

if [ ! -f "libtextconfig" ]
then
    ln -s ../../libs/MagicEngine/config/config_drv/.libs/libtextconfig.so libtextconfig
fi


if [ ! -f "libttf_renderer" ]
then
ln -s ../../libs/MagicEngine/video/textrenderer/ttf_renderer/.libs/libttf_renderer.so libttf_renderer
fi

if [ ! -f "libloader_jpg" ]
then
ln -s ../../libs/MagicEngine/video/imageloaders/jpg_loader/.libs/libloader_jpg.so libloader_jpg
fi

if [ ! -f "libloader_png" ]
then
ln -s ../../libs/MagicEngine/video/imageloaders/png_loader/.libs/libloader_png.so libloader_png
fi

if [ ! -f "libGL_glfw" ]
then
ln -s ../../libs/MagicEngine/video/video_drv/glfw/.libs/libGL_glfw.so libGL_glfw
fi
exit 0